
QGIS Application - Bug report #12381

Can not open oracle layer with NULL SRID (-1)

2015-03-16 11:21 AM - johanvdw -

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/Oracle

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20555

Description

In QGIS 2.6 it was possible to open a oracle geometry with a NULL srid by specifying -1 as the SRID.

When I now specify -1 as the SRID, I can no longer select the row and add the layer.

If I do specify a correct srid for the layer, adding the layer will fail if the layer has a spatial index definined in the metadata as "NULL".

Related issues:

Duplicates QGIS Application - Bug report # 12674: Add Oracle Spatial Layer Closed 2015-04-30

History

#1 - 2015-03-16 11:34 AM - Giovanni Manghi

- Category set to Data Provider/Oracle

#2 - 2015-05-27 03:14 AM - johanvdw -

- Status changed from Open to Closed

This bug was fixed in release 2.8.2. 

See #12674

#3 - 2015-05-27 03:24 AM - Giovanni Manghi

- Resolution set to fixed/implemented
